Page MenuHomePhabricator

Add a way for keywords to control highlighting
Closed, DuplicatePublic

Description

Some keywords need to control how the highlight query.
Use cases identified:

  • morelike disable the highlight for perf reason
  • in(source|title): may trigger regex support in the experimental highlighter or switch to source_text for insource:word
  • subpageof: would like to indicate in the result page that a redirect has matched

This is not trivial for multiple reasons:

  • currently what we display is chosen early in the process (ResultsType) but keywords may want to change that.
  • not all features are available by all highlighters (experimental supports regex, others do not)
  • there may be competing options: if two component target the redirect snippet, which one should we choose?

This may require some refactoring and additional subtasks depending on the complexity to achieve the initial goals (see use cases).

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterAdd HighlightingFeature

Event Timeline

dcausse triaged this task as Medium priority.May 29 2018, 4:15 PM
dcausse created this task.
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptMay 29 2018, 4:15 PM
dcausse updated the task description. (Show Details)May 29 2018, 4:25 PM
Vvjjkkii renamed this task from Add a way for keywords to control highlighting to 61baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii removed dcausse as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 61baaaaaaa to Add a way for keywords to control highlighting.Jul 2 2018, 2:52 AM
CommunityTechBot assigned this task to dcausse.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 538945 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Add HighlightingFeature

https://gerrit.wikimedia.org/r/538945

Change 538945 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add HighlightingFeature

https://gerrit.wikimedia.org/r/538945